NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.GeometricUtilities.CurveShapingBuilder Class Reference

Represents a NXOpen.GeometricUtilities.CurveShapingBuilder . More...

Inheritance diagram for NXOpen.GeometricUtilities.CurveShapingBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  InsertionMethodOptions { Uniform, ThroughPoints, BetweenPoints }
 Point insertion option More...
 
enum  MovementMethodType {
  WCS, View, Vector, Plane,
  Normal
}
 Curve parameter points movement types More...
 
enum  WCSOptionType {
  X, Y, Z, YZ,
  XZ, XY
}
 WCS principal axis or plane types More...
 

Public Member Functions

unsafe void AddCurve (NXOpen.Curve curve)
 Adds a curve for shaping More...
 
unsafe void ApplyParameterValue (NXOpen.Point sourcePoint, NXOpen.Point[] destinationPoints)
 Applies parameter value from a key point to a group of key points without affecting curve shape More...
 
unsafe void Deform ()
 Deforms curves based on active points More...
 
unsafe void DeleteAllPoints (NXOpen.Spline curve)
 Deletes all points on a curve. More...
 
unsafe void RemoveCurve (NXOpen.Curve curve)
 Removes a curve More...
 
unsafe void SetActivePoints (NXOpen.Point[] points, NXOpen.Point masterPoint)
 Sets key points that are selected or will be moved More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool CanMoveAlongCurve [get, set]
 Returns or sets the value indicating if point should be moved along curve. More...
 
unsafe
NXOpen.Features.GeometricConstraintDataManager 
ConstraintManager [get]
 Returns the constraint manager. More...
 
unsafe
NXOpen.GeometricUtilities.Continuity.ContinuityTypes 
EndContinuity [get, set]
 Returns or sets the continuity at end of the curve More...
 
unsafe bool HasLinearTransition [get, set]
 Returns or sets the value indicating if transition type is linear More...
 
unsafe
NXOpen.GeometricUtilities.CurveShapingBuilder.InsertionMethodOptions 
InsertionMethod [get, set]
 Returns or sets the point insertion method More...
 
unsafe
NXOpen.GeometricUtilities.CurveShapingBuilder.MovementMethodType 
MovementMethod [get, set]
 Returns or sets the movement method More...
 
unsafe NXOpen.Plane MovementPlane [get, set]
 Returns or sets the movement plane More...
 
unsafe NXOpen.Direction MovementVector [get, set]
 Returns or sets the movement vector More...
 
unsafe int Number [get, set]
 Returns or sets the number of points to be inserted More...
 
unsafe
NXOpen.GeometricUtilities.OrientXpressBuilder 
OrientExpress [get]
 Returns the orient express object More...
 
unsafe NXOpen.SelectSplineList SelectCurves [get]
 Returns the curve selection for point insertion More...
 
unsafe NXOpen.SelectPointList SpecifyPoints [get]
 Returns the specified points to define insertion point locations More...
 
unsafe
NXOpen.GeometricUtilities.Continuity.ContinuityTypes 
StartContinuity [get, set]
 Returns or sets the continuity at start of the curve More...
 
unsafe
NXOpen.GeometricUtilities.CurveShapingBuilder.WCSOptionType 
WCSOption [get, set]
 Returns or sets the WCS option More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.GeometricUtilities.CurveShapingBuilder .

This class allows shaping of curves by identifying key points on them and modifying the location of those points. It also allows constraining curve ends.

Created in NX7.5.0

Member Enumeration Documentation

Point insertion option

Enumerator
Uniform 

Insert points uniformly

ThroughPoints 

Insert points through points

BetweenPoints 

Insert points between points

Curve parameter points movement types

Enumerator
WCS 

Movement along WCS principal axis or plane

View 

Movement in view plane

Vector 

Movement along arbitrary direction

Plane 

Movement in arbitrary plane

Normal 

Movement along a face normal

WCS principal axis or plane types

Enumerator
X 

Along X axis

Y 

Along Y axis

Z 

Along Z axis

YZ 

In YZ plane

XZ 

In XZ plane

XY 

In XY plane

Member Function Documentation

unsafe void NXOpen.GeometricUtilities.CurveShapingBuilder.AddCurve ( NXOpen.Curve  curve)
inline

Adds a curve for shaping

Created in NX7.5.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
curveCurve to be deformed
unsafe void NXOpen.GeometricUtilities.CurveShapingBuilder.ApplyParameterValue ( NXOpen.Point  sourcePoint,
NXOpen.Point[]  destinationPoints 
)
inline

Applies parameter value from a key point to a group of key points without affecting curve shape

Created in NX7.5.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
sourcePointPoint whose parameter value to be applied
destinationPointsPoints to be edited
unsafe void NXOpen.GeometricUtilities.CurveShapingBuilder.Deform ( )
inline

Deforms curves based on active points

Created in NX7.5.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.GeometricUtilities.CurveShapingBuilder.DeleteAllPoints ( NXOpen.Spline  curve)
inline

Deletes all points on a curve.

If no curve is specified, deletes all points on all curves.

Created in NX7.5.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
curveCurve
unsafe void NXOpen.GeometricUtilities.CurveShapingBuilder.RemoveCurve ( NXOpen.Curve  curve)
inline

Removes a curve

Created in NX7.5.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
curveCurve to be deleted
unsafe void NXOpen.GeometricUtilities.CurveShapingBuilder.SetActivePoints ( NXOpen.Point[]  points,
NXOpen.Point  masterPoint 
)
inline

Sets key points that are selected or will be moved

Created in NX7.5.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
pointsKey points
masterPointPoint which user actually moves to move a group of selected points
unsafe bool NXOpen.GeometricUtilities.CurveShapingBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe bool NXOpen.GeometricUtilities.CurveShapingBuilder.CanMoveAlongCurve
getset

Returns or sets the value indicating if point should be moved along curve.

A key point is moved along the curve in order to change its parametric location without affecting curve shape.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.GeometricConstraintDataManager NXOpen.GeometricUtilities.CurveShapingBuilder.ConstraintManager
get

Returns the constraint manager.

Allows definition of key points to be used to shape the curve.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.Continuity.ContinuityTypes NXOpen.GeometricUtilities.CurveShapingBuilder.EndContinuity
getset

Returns or sets the continuity at end of the curve

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.GeometricUtilities.CurveShapingBuilder.HasLinearTransition
getset

Returns or sets the value indicating if transition type is linear

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.CurveShapingBuilder.InsertionMethodOptions NXOpen.GeometricUtilities.CurveShapingBuilder.InsertionMethod
getset

Returns or sets the point insertion method

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.CurveShapingBuilder.MovementMethodType NXOpen.GeometricUtilities.CurveShapingBuilder.MovementMethod
getset

Returns or sets the movement method

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Plane NXOpen.GeometricUtilities.CurveShapingBuilder.MovementPlane
getset

Returns or sets the movement plane

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Direction NXOpen.GeometricUtilities.CurveShapingBuilder.MovementVector
getset

Returns or sets the movement vector

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.GeometricUtilities.CurveShapingBuilder.Number
getset

Returns or sets the number of points to be inserted

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.OrientXpressBuilder NXOpen.GeometricUtilities.CurveShapingBuilder.OrientExpress
get

Returns the orient express object

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SelectSplineList NXOpen.GeometricUtilities.CurveShapingBuilder.SelectCurves
get

Returns the curve selection for point insertion

Created in NX7.5.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.SelectPointList NXOpen.GeometricUtilities.CurveShapingBuilder.SpecifyPoints
get

Returns the specified points to define insertion point locations

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.Continuity.ContinuityTypes NXOpen.GeometricUtilities.CurveShapingBuilder.StartContinuity
getset

Returns or sets the continuity at start of the curve

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.CurveShapingBuilder.WCSOptionType NXOpen.GeometricUtilities.CurveShapingBuilder.WCSOption
getset

Returns or sets the WCS option

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.